> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pleo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get subscription secret by id

> Fetches webhook subscription secret ID by the specific subscription identification code; this is done to verify the webhook event that the customer has subscribed for.



## OpenAPI

````yaml get /v1/subscriptions/{id}/secret
openapi: 3.0.1
info:
  title: Webhook Subscriptions API
  description: Webhook Subscriptions definitions
  termsOfService: https://pleo.io/terms/
  contact:
    email: partner-ecosystem-team@pleo.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 11.7.0
servers:
  - url: https://external.pleo.io
    description: Production server
  - url: https://external.staging.pleo.io
    description: Staging server
security:
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: Webhook Subscriptions
    description: >-
      The Webhooks functionality sends real-time event notifications to
      third-party integrations. To receive notifications, you must register for
      webhook subscriptions. This API enables you to perform CRUD (Create, Read,
      Update, and Delete) subscription operations.
  - name: Event Types
  - name: Subscriptions
paths:
  /v1/subscriptions/{id}/secret:
    get:
      tags:
        - Subscriptions
      summary: Get subscription secret by id
      description: >-
        Fetches webhook subscription secret ID by the specific subscription
        identification code; this is done to verify the webhook event that the
        customer has subscribed for.
      operationId: getSubscriptionSecret
      parameters:
        - name: id
          in: path
          description: The unique identifier of the subscription
          required: true
          style: simple
          explode: false
          schema:
            type: string
            format: uuid
          example: 123e4567-e89b-12d3-a456-426614174000
      responses:
        '200':
          description: The subscription secret details are returned.
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/SubscriptionSecretResponse'
        '404':
          description: The subscription secret record could not be found.
components:
  schemas:
    SubscriptionSecretResponse:
      required:
        - data
      type: object
      properties:
        data:
          $ref: '#/components/schemas/SubscriptionSecretModel'
    SubscriptionSecretModel:
      type: object
      properties:
        secretKey:
          type: string
          description: >-
            The subscription's verification secret. It is required to verify the
            subscription events
          readOnly: true
          example: whsec_C2FVsBQIhrscChlQIMV+b5sSYspob7oD
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        JWT Bearer token authentication. Include the token in the Authorization
        header as: `Bearer <token>`
      scheme: bearer
      bearerFormat: JWT
    basicAuth:
      type: http
      description: >-
        Basic HTTP authentication using API key. Use your API key as the
        username and leave the password empty. The credentials will be Base64
        encoded automatically.
      scheme: basic

````